package org.jeecg.modules.workFlow.flowplus.workflow.service;

/**
 * 组织用户 服务类
 *

 */
public interface OaService {

    /**
     * 查询组织架构树
     *
     * @param deptId 部门id
     * @return 组织架构树数据
     */
    Object getOrgTreeData(String deptId);

    /**
     * 模糊搜索用户
     *
     * @param username 用户名
     * @return 匹配到的用户
     */
    Object getOrgTreeUser(String username);

    /**
     * 查询用户信息
     *
     * @param userId 用户id
     * @param setType 审核人类型
     */
    Object getUserInfo(String userId, Integer setType);
}
